ACParserInternal::Label Struct Reference

Internal: class used to store a list type in ACParser. More...

## Public Member Functions

| Label (int type=-1)
| constructor More...
bool | operator== (Label const &lbl) const
| operator== More...
bool | operator!= (Label const &lbl) const
| operator=! More...

## Public Attributes

int | m_type
| the label type More...

## Friends

std::ostream & | operator<< (std::ostream &o, Label const &lbl)
| operator<< More...

## Detailed Description

Internal: class used to store a list type in ACParser.

## Constructor & Destructor Documentation

ACParserInternal::Label::Label | ( | int | type = `-1` | ) |

inline

constructor

## Member Function Documentation

bool ACParserInternal::Label::operator!= | ( | Label const & | lbl | ) | const

inline

operator=!

bool ACParserInternal::Label::operator== | ( | Label const & | lbl | ) | const

inline

operator==

Referenced by operator!=().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Label const & | lbl
| ) |  |

friend

operator<<

## Member Data Documentation

int ACParserInternal::Label::m_type

the label type

Referenced by operator==().

The documentation for this struct was generated from the following file:

- ACParser.cxx